# 2.5.5

Release date: `2017-10-13`

## Core

- [NXDRIVE-950](https://jira.nuxeo.com/browse/NXDRIVE-950): Invalid credentials loop when revoking the user's token
- [NXDRIVE-964](https://jira.nuxeo.com/browse/NXDRIVE-964): Impossible to use an old local folder from another user
- [NXDRIVE-990](https://jira.nuxeo.com/browse/NXDRIVE-990): "Other docs" folder is deleted after disconnect and reconnect with same user
- [NXDRIVE-994](https://jira.nuxeo.com/browse/NXDRIVE-994): Bad use of tuple for keyword xattr_names of LocalClient.update_content()
- [NXDRIVE-995](https://jira.nuxeo.com/browse/NXDRIVE-995): Prevent renaming from 'folder' to 'folder ' on Windows

## GUI

- [NXDRIVE-963](https://jira.nuxeo.com/browse/NXDRIVE-963): Crash when deleting an account
- [NXDRIVE-978](https://jira.nuxeo.com/browse/NXDRIVE-978): Wrong resume/suspend icon after pause and disconnect/reconnect
- [NXDRIVE-982](https://jira.nuxeo.com/browse/NXDRIVE-982): After disconnect and connect, systray menu alignment is not proper

## Packaging / Build

- [NXDRIVE-991](https://jira.nuxeo.com/browse/NXDRIVE-991): Upgrade Python from 2.7.13 to 2.7.14
- [NXDRIVE-992](https://jira.nuxeo.com/browse/NXDRIVE-992): Rollback release tag on Drive-package job failure

## Tests

- [NXDRIVE-1001](https://jira.nuxeo.com/browse/NXDRIVE-1001): Prevent failures in tearDownServer()

## Doc

- [NXDRIVE-974](https://jira.nuxeo.com/browse/NXDRIVE-974): Document Windows CLI related to Drive
- [NXDRIVE-1003](https://jira.nuxeo.com/browse/NXDRIVE-1003): Add MSI arguments documentation

## Minor Changes

- GUI: Add more versions information in About (Python, Qt, WebKit and SIP)
- Jenkins: Better artifacts deployment on the server
- Jenkins: Update `pyenv` to take into account new Python versions
- Packaging: Updated `cffi` from 1.10.0 to 1.11.2
- Packaging: Updated `faulthandler` from 2.6 to 3.0
- Packaging: Updated `pyobjc` from 3.2.1 to 4.0
- Packaging: Updated `pytest` from 3.2.2 to 3.2.3
- Tools: Fix JSON delivery in check_update_process.py
- \[Windows\] Packaging: Bypass use of get-pip.py for `pip` installation

## Technical Changes

- Removed `LocalClient.is_osxbundle()`
- Removed `Manager.is_updated()`. Use `updated` attribute instead.
- Changed `WebSettingsApi.update_token()`. No more static.
- Moved engine/watcher/local_watcher.py::`normalize_event_filename()` to utils.py
